Index: uspace/dist/src/c/demos/edit/build
===================================================================
--- uspace/dist/src/c/demos/edit/build	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/edit/build	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -11,3 +11,3 @@
 as -o search.o search.s
 
-ld -T /inc/_link.ld -o edit_ sheet.o edit.o search.o /lib/libc.a /lib/libsoftint.a
+ld -T /inc/_link.ld -o edit_ sheet.o edit.o search.o /lib/libc.a -lgcc
Index: uspace/dist/src/c/demos/hello/build
===================================================================
--- uspace/dist/src/c/demos/hello/build	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/hello/build	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -2,3 +2,3 @@
 cc -S -o hello.s hello.i
 as -o hello.o hello.s
-ld -T /inc/_link.ld -o hello hello.o /lib/libc.a /lib/libsoftint.a
+ld -T /inc/_link.ld -o hello hello.o /lib/libc.a -lgcc
Index: uspace/dist/src/c/demos/hello/build.gcc
===================================================================
--- uspace/dist/src/c/demos/hello/build.gcc	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/hello/build.gcc	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -1,2 +1,2 @@
-gcc -nostdlib -nostdinc -I/inc/c -Wl,-T/inc/_link.ld -L/lib -lc -lsoftint -o hello hello.c
+gcc -nostdlib -nostdinc -I/inc/c -Wl,-T/inc/_link.ld -L/lib -lc -lgcc -o hello hello.c
 
Index: uspace/dist/src/c/demos/tetris/build
===================================================================
--- uspace/dist/src/c/demos/tetris/build	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/tetris/build	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -14,3 +14,3 @@
 as -o tetris.o tetris.s
 
-ld -T /inc/_link.ld -o tetris_ scores.o screen.o shapes.o tetris.o /lib/libc.a /lib/libsoftint.a
+ld -T /inc/_link.ld -o tetris_ scores.o screen.o shapes.o tetris.o /lib/libc.a -lgcc
Index: uspace/dist/src/c/demos/tetris/build.gcc
===================================================================
--- uspace/dist/src/c/demos/tetris/build.gcc	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/tetris/build.gcc	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -3,4 +3,4 @@
 gcc -nostdinc -I/inc/c -c -Drestrict= shapes.c
 gcc -nostdinc -I/inc/c -c -Drestrict= tetris.c
-gcc -nostdlib -Wl,-T/inc/_link.ld -L/lib -o tetris_ scores.o screen.o shapes.o tetris.o -lc -lsoftint
+gcc -nostdlib -Wl,-T/inc/_link.ld -L/lib -o tetris_ scores.o screen.o shapes.o tetris.o -lc -lgcc
 
Index: uspace/dist/src/c/demos/top/build
===================================================================
--- uspace/dist/src/c/demos/top/build	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ uspace/dist/src/c/demos/top/build	(revision c486f830240edece7f2000d5b9def7f3663a69bd)
@@ -8,3 +8,3 @@
 as -o top.o top.s
 
-ld -T /inc/_link.ld -o top_ screen.o top.o /lib/libc.a /lib/libsoftint.a
+ld -T /inc/_link.ld -o top_ screen.o top.o /lib/libc.a -lgcc
Index: pace/lib/softfloat/doc/doxygroups.h
===================================================================
--- uspace/lib/softfloat/doc/doxygroups.h	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ 	(revision )
@@ -1,4 +1,0 @@
-/** @addtogroup softfloat libsoftfloat
- * @ingroup libs
- * @brief Software emulation of floating point operations
- */
Index: pace/lib/softfloat/mathtypes.h
===================================================================
--- uspace/lib/softfloat/mathtypes.h	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ 	(revision )
@@ -1,264 +1,0 @@
-/*
- * Copyright (c) 2005 Josef Cejka
- * Copyright (c) 2011 Petr Koupy
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-/** @addtogroup libmath
- * @{
- */
-/** @file Floating point types and constants.
- */
-
-#ifndef LIBMATH_MATHTYPES_H_
-#define LIBMATH_MATHTYPES_H_
-
-#include <byteorder.h>
-#include <stdint.h>
-
-/*
- * For recognizing NaNs or infinity use specialized comparison
- * functions, comparing with these constants is not sufficient.
- */
-
-#define FLOAT32_NAN     UINT32_C(0x7fc00001)
-#define FLOAT32_SIGNAN  UINT32_C(0x7f800001)
-#define FLOAT32_INF     UINT32_C(0x7f800000)
-
-#define FLOAT64_NAN     UINT64_C(0x7ff8000000000001)
-#define FLOAT64_SIGNAN  UINT64_C(0x7ff0000000000001)
-#define FLOAT64_INF     UINT64_C(0x7ff0000000000000)
-
-#define FLOAT96_NAN_HI     UINT64_C(0x7fff80000000)
-#define FLOAT96_NAN_LO     UINT32_C(0x00010000)
-#define FLOAT96_SIGNAN_HI  UINT64_C(0x7fff00000000)
-#define FLOAT96_SIGNAN_LO  UINT32_C(0x00010000)
-
-#define FLOAT128_NAN_HI     UINT64_C(0x7fff800000000000)
-#define FLOAT128_NAN_LO     UINT64_C(0x0000000000000001)
-#define FLOAT128_SIGNAN_HI  UINT64_C(0x7fff000000000000)
-#define FLOAT128_SIGNAN_LO  UINT64_C(0x0000000000000001)
-#define FLOAT128_INF_HI     UINT64_C(0x7fff000000000000)
-#define FLOAT128_INF_LO     UINT64_C(0x0000000000000000)
-
-#define FLOAT32_FRACTION_SIZE   23
-#define FLOAT64_FRACTION_SIZE   52
-#define FLOAT96_FRACTION_SIZE   64
-#define FLOAT128_FRACTION_SIZE  112
-#define FLOAT128_FRAC_HI_SIZE   48
-#define FLOAT128_FRAC_LO_SIZE   64
-
-#define FLOAT32_HIDDEN_BIT_MASK      UINT32_C(0x800000)
-#define FLOAT64_HIDDEN_BIT_MASK      UINT64_C(0x10000000000000)
-#define FLOAT128_HIDDEN_BIT_MASK_HI  UINT64_C(0x1000000000000)
-#define FLOAT128_HIDDEN_BIT_MASK_LO  UINT64_C(0x0000000000000000)
-
-#define FLOAT32_MAX_EXPONENT   0xff
-#define FLOAT64_MAX_EXPONENT   0x7ff
-#define FLOAT96_MAX_EXPONENT   0x7fff
-#define FLOAT128_MAX_EXPONENT  0x7fff
-
-#define FLOAT32_BIAS   0x7f
-#define FLOAT64_BIAS   0x3ff
-#define FLOAT96_BIAS   0x3fff
-#define FLOAT128_BIAS  0x3fff
-
-#if defined(__BE__)
-
-typedef union {
-	uint32_t bin;
-
-	struct {
-		uint32_t sign : 1;
-		uint32_t exp : 8;
-		uint32_t fraction : 23;
-	} __attribute__((packed)) parts;
-} float32;
-
-typedef union {
-	uint64_t bin;
-
-	struct {
-		uint64_t sign : 1;
-		uint64_t exp : 11;
-		uint64_t fraction : 52;
-	} __attribute__((packed)) parts;
-} float64;
-
-typedef union {
-	struct {
-		uint64_t hi;
-		uint32_t lo;
-	} __attribute__((packed)) bin;
-
-	struct {
-		uint64_t padding : 16;
-		uint64_t sign : 1;
-		uint64_t exp : 15;
-		uint64_t fraction : 64;
-	} __attribute__((packed)) parts;
-} float96;
-
-typedef union {
-	struct {
-		uint64_t hi;
-		uint64_t lo;
-	} __attribute__((packed)) bin;
-
-	struct {
-		uint64_t sign : 1;
-		uint64_t exp : 15;
-		uint64_t frac_hi : 48;
-		uint64_t frac_lo : 64;
-	} __attribute__((packed)) parts;
-} float128;
-
-#elif defined(__LE__)
-
-typedef union {
-	uint32_t bin;
-
-	struct {
-		uint32_t fraction : 23;
-		uint32_t exp : 8;
-		uint32_t sign : 1;
-	} __attribute__((packed)) parts;
-} float32;
-
-typedef union {
-	uint64_t bin;
-
-	struct {
-		uint64_t fraction : 52;
-		uint64_t exp : 11;
-		uint64_t sign : 1;
-	} __attribute__((packed)) parts;
-} float64;
-
-typedef union {
-	struct {
-		uint32_t lo;
-		uint64_t hi;
-	} __attribute__((packed)) bin;
-
-	struct {
-		uint64_t fraction : 64;
-		uint64_t exp : 15;
-		uint64_t sign : 1;
-		uint64_t padding : 16;
-	} __attribute__((packed)) parts;
-} float96;
-
-typedef union {
-	struct {
-		uint64_t lo;
-		uint64_t hi;
-	} __attribute__((packed)) bin;
-
-	struct {
-		uint64_t frac_lo : 64;
-		uint64_t frac_hi : 48;
-		uint64_t exp : 15;
-		uint64_t sign : 1;
-	} __attribute__((packed)) parts;
-} float128;
-
-#else
-#error Unknown endianess
-#endif
-
-#if __SIZEOF_FLOAT__ == 4
-#define float32_t float
-#elif __SIZEOF_DOUBLE__ == 4
-#define float32_t double
-#elif __SIZEOF_LONG_DOUBLE__ == 4
-#define float32_t long double
-#endif
-
-#if __SIZEOF_FLOAT__ == 8
-#define float64_t float
-#elif __SIZEOF_DOUBLE__ == 8
-#define float64_t double
-#elif __SIZEOF_LONG_DOUBLE__ == 8
-#define float64_t long double
-#endif
-
-#if __SIZEOF_FLOAT__ == 12
-#define float96_t float
-#elif __SIZEOF_DOUBLE__ == 12
-#define float96_t double
-#elif __SIZEOF_LONG_DOUBLE__ == 12
-#define float96_t long double
-#endif
-
-#if __SIZEOF_FLOAT__ == 16
-#define float128_t float
-#elif __SIZEOF_DOUBLE__ == 16
-#define float128_t double
-#elif __SIZEOF_LONG_DOUBLE__ == 16
-#define float128_t long double
-#endif
-
-#ifdef float32_t
-
-typedef union {
-	float32_t val;
-	float32 data;
-} float32_u;
-
-#endif
-
-#ifdef float64_t
-
-typedef union {
-	float64_t val;
-	float64 data;
-} float64_u;
-
-#endif
-
-#ifdef float96_t
-
-typedef union {
-	float96_t val;
-	float96 data;
-} float96_u;
-
-#endif
-
-#ifdef float128_t
-
-typedef union {
-	float128_t val;
-	float128 data;
-} float128_u;
-
-#endif
-
-#endif
-
-/** @}
- */
Index: pace/lib/softint/doc/doxygroups.h
===================================================================
--- uspace/lib/softint/doc/doxygroups.h	(revision 536ab4fe5a15437f22646a0836af7075f234934d)
+++ 	(revision )
@@ -1,4 +1,0 @@
-/** @addtogroup softint libsoftint
- * @ingroup libs
- * @brief Software emulation of integer operations
- */
